Bug 1707040 - python-django-appconf FTBFS in rawhide/f31, f30
Summary: python-django-appconf FTBFS in rawhide/f31, f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django-appconf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS PYTHON38 F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-05-06 16:54 UTC by Patrik Kopkan
Modified: 2019-07-31 22:40 UTC (History)
2 users (show)

Fixed In Version: python-django-appconf-1.0.2-11.fc31 python-django-appconf-1.0.2-11.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-11 08:33:15 UTC


Attachments (Terms of Use)
Copr build log, built with python3.8 (100.09 KB, text/plain)
2019-05-06 16:54 UTC, Patrik Kopkan
no flags Details

Description Patrik Kopkan 2019-05-06 16:54:01 UTC
Created attachment 1564652 [details]
Copr build log, built with python3.8

python-django-appconf-1.0.2-11 fails to build due to failing tests.

scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=34681529

pytest output:
+ /usr/bin/python3 setup.py test
running test
running egg_info
writing django_appconf.egg-info/PKG-INFO
writing dependency_links to django_appconf.egg-info/dependency_links.txt
writing top-level names to django_appconf.egg-info/top_level.txt
reading manifest file 'django_appconf.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
writing manifest file 'django_appconf.egg-info/SOURCES.txt'
running build_ext
test_configure_method (tests.tests.PrefixConfTests) ... ok
test_configured (tests.tests.PrefixConfTests) ... ok
test_prefix (tests.tests.PrefixConfTests) ... ok
test_simple (tests.tests.PrefixConfTests) ... ok
test_default_is_defined (tests.tests.RequiredSettingsTests) ... ok
test_missing (tests.tests.RequiredSettingsTests) ... ok
test_value_is_defined (tests.tests.RequiredSettingsTests) ... ok
test_prefix (tests.tests.SeparateConfTests) ... ok
test_simple (tests.tests.SeparateConfTests) ... ok
test_basic (tests.tests.TestConfTests) ... ok
test_configure_method (tests.tests.TestConfTests) ... ok
test_configured (tests.tests.TestConfTests) ... ok
test_custom_holder (tests.tests.TestConfTests) ... ok
test_dir_members (tests.tests.TestConfTests) ... ok
test_init_kwargs (tests.tests.TestConfTests) ... ok
test_init_kwargs_with_prefix (tests.tests.TestConfTests) ... ok
test_override_settings_once (tests.tests.TestConfTests) ... ok
test_override_settings_twice (tests.tests.TestConfTests) ... ok
test_proxy (tests.tests.TestConfTests) ... ok
test_simple (tests.tests.TestConfTests) ... ok
test_subclass_configured_data (tests.tests.TestConfTests) ... ok
test_configure_method (tests.tests.YetAnotherPrefixConfTests) ... ok
test_configured (tests.tests.YetAnotherPrefixConfTests) ... ok
test_prefix (tests.tests.YetAnotherPrefixConfTests) ... ok
test_simple (tests.tests.YetAnotherPrefixConfTests) ... ok

----------------------------------------------------------------------
Ran 25 tests in 0.038s

OK
+ coverage3 run /usr/bin/python3-django-admin test -v2 test
Skipping setup of unused database(s): default.
SystemCheckError: System check identified some issues:

ERRORS:
?: (admin.E403) A 'django.template.backends.django.DjangoTemplates' instance must be configured in TEMPLATES in order to use the admin application.
?: (admin.E406) 'django.contrib.messages' must be in INSTALLED_APPS in order to use the admin application.
?: (admin.E407) 'django.contrib.sessions' must be in INSTALLED_APPS in order to use the admin application.
?: (admin.E408) 'django.contrib.auth.middleware.AuthenticationMiddleware' must be in MIDDLEWARE in order to use the admin application.
?: (admin.E409) 'django.contrib.messages.middleware.MessageMiddleware' must be in MIDDLEWARE in order to use the admin application.

System check identified 5 issues (0 silenced).
error: Bad exit status from /var/tmp/rpm-tmp.62qHZw (%check)

Comment 1 Miro Hrončok 2019-07-10 11:32:13 UTC
This blocks the Python 3.8 rebuild.

Comment 2 Matthias Runge 2019-07-11 08:33:15 UTC
there is https://github.com/django-compressor/django-appconf/pull/47

Comment 3 Fedora Update System 2019-07-11 08:37:59 UTC
FEDORA-2019-97b41f2585 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-97b41f2585

Comment 4 Fedora Update System 2019-07-12 02:15:40 UTC
python-django-appconf-1.0.2-11.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-97b41f2585

Comment 5 Fedora Update System 2019-07-20 02:33:37 UTC
python-django-appconf-1.0.2-11.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.